
$audio-controls-size: 1.125rem;
$_m : ($audio-controls-size * 4) + 3rem;
$inset-shadow : inset 0px 30px 126px 10px black, inset 0px 10px 180px 75px black;

.shadow-overlay {
	-webkit-box-shadow: $inset-shadow;
	-moz-box-shadow: $inset-shadow;
	-ms-box-shadow: $inset-shadow;
	box-shadow: $inset-shadow;
	background-color: transparent;
	position: absolute;
	z-index: 1;
	width: 140%;
	left: -20%;
}
.inkube-player{
	position: relative;
	[class*="icon-"]{
		cursor: pointer;
		
	}
}

.podcast-player{	
	min-height: 80px;
	position: relative;
	overflow: hidden;
	.pjs-poster{
		@extend .bg-cover;

	}
	.icon{
		padding-top:2px;
	}
	.pjs-control, .pjs-time{
		@extend .mx-1;
	}

	.pjs-control-bar{
		
		font-family: Akrobat;
		position: absolute;
		z-index: 100;
		bottom: 0;
		left: 0;
		right: 0;
		@extend .p-3;
		display: flex;
		flex-wrap: no-wrap;
		align-items: center;

	}
	.pjs-control{
		display: block;
		width: $audio-controls-size;
		height: $audio-controls-size;
		text-align: center;
		font-size: $audio-controls-size;
		line-height: $audio-controls-size;
		cursor: pointer;
		margin-right: 5px;
		padding-top: .15rem;
		&:before{
			-webkit-font-smoothing: antialiased;
			-moz-osx-font-smoothing: grayscale;

		}
		&.pjs-volume-control{
			margin-top: -.1rem;
			font-size: $audio-controls-size * 26 / 18;
			width: $audio-controls-size*1.5;
			height: $audio-controls-size*1.5;

		}
		&[role="play-pause"], &[role="next-chapter"], &[role="prev-chapter"]{
			padding-top: 0;
		}
	}
	.pjs-wavesurfer{
		width: calc(100% - #{$_m});
	}
	.pjs-time{
		
		text-align: center;
		font-size: $audio-controls-size;
		font-family: $font-family-sans-serif;
		width: 2.5rem;
		font-weight: normal;
		font-size: 1rem;
	}
	& ~ .pjs-subtitles{
		opacity: 0;
		max-height: 0;
		overflow: hidden;
	}
	.pjs-chapters{
		li{
			cursor: pointer;
			font-size: 1rem;
			@extend .my-2;
			&.active{
				color: $red;
			}
		}
	}
	&.pjs-has-poster{
		background-color: black;
		.pjs-control-bar{
			color: white;
		}
		& ~ figcaption{
			@extend .card-caption;
			@extend .col-6;
			@extend .ml-3;
			@extend .fw-400;
			@extend .fs-6;
			@extend .fw-400;
		}
		& ~ .pjs-subtitles.default{
			@extend .card-caption;
			@extend .vcenter;
			font-size: 1.5rem;
			@extend .col-md-4;
			@extend .fw-400;

		}
	}
	.pjs-shadow-overlay &{
		.pjs-poster{
			&:after{
				z-index: 1;
				content:'';
				height: 100%;
				@extend .shadow-overlay;
			}
		}
	}

	&.pjs-fit{
		width: 100%;
		height: 100%;
	}
	&.pjs-playing ~ figcaption{
		opacity: 0;
		transition: opacity .5s ease-in-out;

	}
	&.pjs-playing ~ .pjs-subtitles{
		transition: opacity 0.5s ease-in-out;
		max-height: 4rem;
		min-height: 2rem;
		opacity: 1;
	}
	


}